%define upstream_name HTML_QuickForm_DHTMLRulesTableless
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.3
Release:     	%mkrel 8
Summary:    	DHTML replacement for the standard JavaScript alert window for client-side validation using the tableless renderer
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_QuickForm_DHTMLRulesTableless-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_QuickForm_DHTMLRulesTableless
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTML_QuickForm_Renderer_Tableless >= 0.4.0
Requires:	php-pear >= 1.5.0
BuildArch: 	noarch

%description
This is a DHTML replacement for the standard JavaScript alert window for
  client-side validation of forms built with HTML_QuickForm when using the
  HTML_QuickForm_Renderer_Tableless renderer.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm_DHTMLRulesTableless.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm_DHTMLRulesTableless.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm_DHTMLRulesTableless
fi

%files
%doc docs/HTML_QuickForm_DHTMLRulesTableless/*
%{peardir}/*
%{xmldir}/HTML_QuickForm_DHTMLRulesTableless.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.3-8.mga8
+ Revision: 1498988
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.3-7.mga7
+ Revision: 1273222
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.3.3-6.mga6
+ Revision: 942510
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-5.mga5
+ Revision: 744715
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-4.mga5
+ Revision: 687276
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.3-3.mga4
+ Revision: 516862
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 376225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 spuhler <spuhler> 0.3.3-1.mga2
+ Revision: 219512
- upgrade to 0.3.3
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.3.2-6.mga1
+ Revision: 47465
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_QuickForm_DHTMLRulesTableless


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-6mdv2011.0
+ Revision: 613674
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-5mdv2010.1
+ Revision: 477874
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-4mdv2010.0
+ Revision: 441121
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-3mdv2009.1
+ Revision: 322116
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-2mdv2009.0
+ Revision: 236875
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.3.2-1mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-1mdv2008.0
+ Revision: 68587
- Import php-pear-HTML_QuickForm_DHTMLRulesTableless



* Tue Aug 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-1mdv2008.0
- initial Mandriva package
